%define anolis_release 2
%global tarball xf86-video-vesa
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir	%{moduledir}/drivers

%undefine _hardened_build

Summary:   Xorg X11 vesa video driver
Name:      xorg-x11-drv-vesa
Version:   2.6.0
Release:   %{anolis_release}%{?dist}
URL:       https://www.x.org
Source0:   https://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.xz
License:   MIT

ExclusiveArch:  x86_64

BuildRequires: make
BuildRequires: pkgconfig(fontsproto)
BuildRequires: pkgconfig(xextproto) >= 7.0.99.1
BuildRequires: pkgconfig(xorg-server) >= 1.6
BuildRequires: pkgconfig(xproto)

Requires: Xorg %([ -e /usr/bin/xserver-sdk-abi-requires ] && xserver-sdk-abi-requires ansic)
Requires: Xorg %([ -e /usr/bin/xserver-sdk-abi-requires ] && xserver-sdk-abi-requires videodrv)
Requires: xorg-x11-server-wrapper

%description 
X.Org X11 vesa video driver.

%prep
%autosetup -p1 -n %{tarball}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

%files
%{driverdir}/vesa_drv.so
%{_mandir}/man4/vesa.4*

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 2.6.0-2
- Rebuild for remove inappropriate build dependencies.

* Thu Dec 15 2022 Funda Wang <fundawang@yeah.net> - 2.6.0-1
- New version 2.6.0

* Wed Apr 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.5.0-1
- Init from upstream version  2.5.0

